Subject: Re: [secdir] secdir review of draft-ietf-pwe3-fc-encap-14.txt

From: <[email-masked]>
Date: Thu, 24 Feb 2011 17:40:55 -0500

Steve,

Thanks for reviewing this draft.

> At least, the authors should add a reference to a document
> that describes the attacks to which this protocol is susceptible
> and the countermeasures that can be employed.

Sure, I'll start with references to the security considerations sections of RFC 3985 (PWE3 Architecture) and RFC 4385 (PWE3 Control Word).  In addition, in thinking about this, I realized that there are aspects of the encapsulation that aren't covered by either the PWE3 or FC security material - for example, an attacker who can inject delay can cause violation of the timing requirements in Section 5 sufficient to take down an FC PW link in a fashion that it will stay down (countermeasure to that is delay monitoring via OAM functionality).  I'll add at least that.

Thanks,
--David
----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

> -----Original Message-----
> From: Stephen Hanna [mailto:[email-masked]]
> Sent: Monday, February 21, 2011 10:04 AM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: secdir review of draft-ietf-pwe3-fc-encap-14.txt
> 
> I have reviewed this document as part of the security directorate's
> ongoing effort to review all IETF documents being processed by the IESG.
> These comments were written primarily for the benefit of the security
> area directors.  Document editors and WG chairs should treat these
> comments just like any other last call comments.
> 
> This document describes how Fibre Channel traffic can be carried
> over MPLS networks using a Fibre Channel pseudowire (FC PW). I am
> not an expert in Fibre Channel, MPLS, or pseudowires so I will not
> venture any judgment on the content of the draft. I will focus
> exclusively on the Security Considerations section.
> 
> The Security Considerations section is rather brief, only five
> sentences long. While I support brevity, this section seems to
> omit key information. For example, the text says "FC PW shares
> susceptibility to a number of pseudowire-layer attacks and
> implementations SHOULD use whatever mechanisms for confidentiality,
> integrity, and authentication are developed for PWs in general.
> These methods are beyond the scope of this document." That's too
> brief. At least, the authors should add a reference to a document
> that describes the attacks to which this protocol is susceptible
> and the countermeasures that can be employed. If no such document
> exists, either it should be written or this document should describe
> the threats and countermeasures or this document should admit that
> the threats and countermeasures are not understood at this time.
> You can't just leave the analysis of threats and countermeasures
> to the reader.
> 
> Thanks,
> 
> Steve Hanna
>